%
% Young oilseed rape root system architecture (Caracas)
%
% Copyright 2008-2012 Daniel Leitner. See license.txt for details.
%
clear all;

a0= 0.0154; %[cm] Caracas
a1= 0.011694; %[cm] Caracas

%
% Tap root
%
p{1}.name='Tap root';
p{1}.r = 3; % visually
p{1}.lb = 0.7; % visually
p{1}.la = 1; % visually
p{1}.ln = [0.37, 0.25]; % measured (imageJ)
p{1}.nob = 536; % assumption (k = 200 cm)
p{1}.a = a0;   
p{1}.theta = 0;  
p{1}.color= [170/255,180/255,100/255];
p{1}.tropism = [1,5,20*pi/180]; % visually
p{1}.dx=0.25;
p{1}.successor = 2;

%
% 1st order lateral
%
p{2}.name = 'Lateral';
p{2}.r = 0.57; % fit parameter
p{2}.la = 200; % assumption (k = 200 cm)
p{2}.a = a1; % fit parameter
p{2}.theta = [(180-110.9)*pi/180, 19.9*pi/180]; % measured (imageJ)
p{2}.color = [220/255,205/255,120/255]; % visually
p{2}.tropism = [1,1,20*pi/180]; % visually
p{2}.dx=0.25;

%
% Simulation
%
n0=1; r0=3;
simtime = 20; % days
rootsystem = createRootSystem(p,n0,r0);
slides = simulate(rootsystem,simtime,10,false);

plotTubes(slides{end});
