 function a = getActive(str, i0)
% getActive: Creates a vector of indices of active letters.
%
% Active letters are those which are not basic turtle commands (e.g. root tips).
% 
% Parameters:
% str       :List of L-System letters
% (i0)      :Start index shift. (default i0 = 0)
%
% a         :Indices of the letters that are no turtle commands
%
% See also: applyRules.
%
% Copyright 2008-2012 Daniel Leitner. See license.txt for details.
%  

if nargin==1
    i0=0;
end

a=[];
for i=1:length(str)
    r=str{i};
    switch r.name
        case {'F','#','C','+','-','&','^','\','/','|','[',']','f' }            
        otherwise
            a = [a, i0+i];
    end
end